-- Just adds silly win animations to the racers when they place 1st
-- Freeslots that could possibly be taken
if(rawget(_G,"SPR2_WIN_") == nil)then
	freeslot("SPR2_WIN_")
	spr2defaults[SPR2_WIN_] = SPR2_SLWN
end

if(rawget(_G,"S_KART_WIN") == nil)then
	freeslot("S_KART_WIN")
	states[S_KART_WIN] = {
	    sprite = SPR_PLAY,
        frame = SPR2_WIN_,
        tics = 1,
        action = nil,
        var1 = 0,
        var2 = 5,
        nextstate = S_KART_WIN
	}
end

if(rawget(_G,"chrisfurry_winlua") != nil)then return end

addHook("PlayerThink",function(p)
	if(not p.mo or not p.mo.valid)then return end
	local pmo = p.mo
	if(p.exiting)then
		if(p.position == 1)then -- Winner!
			if(skins[pmo.skin].sprites[SPR2_WIN_].numframes > 0)then -- If a player does not have frames for WIN_, then don't bother.
				pmo.state = S_KART_WIN
			end
		end
	end
end)

rawset(_G,"chrisfurry_winlua",true)